db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Bryan Pendleton <bpendle...@amberpoint.com>
Subject Re: 10.6 upgrade tests are disabled
Date Sat, 20 Jun 2009 15:48:09 GMT
Rick Hillegas wrote:
> I would like to add some new cases to the 10.6 upgrade test. I notice 
> that the 10.6 upgrade tests were commented out as part of submission 

Hi Rick,

This might be too simple, but I see that DataDictionaryImpl.boot() is
setting software version to Derby 10.5. My main computer is down, so I
can't easily run all the tests, but does this change work for you?

Index: java/engine/org/apache/derby/impl/sql/catalog/DataDictionaryImpl.java
===================================================================
--- java/engine/org/apache/derby/impl/sql/catalog/DataDictionaryImpl.java(revision 786634)
+++ java/engine/org/apache/derby/impl/sql/catalog/DataDictionaryImpl.java(working copy)
@@ -481,7 +481,7 @@
         public void boot(boolean create, Properties startParams)
                         throws StandardException
         {
-               softwareVersion = new DD_Version(this, DataDictionary.DD_VERSION_DERBY_10_5);
+               softwareVersion = new DD_Version(this, DataDictionary.DD_VERSION_DERBY_10_6);

                 startupParameters = startParams;

thanks,

bryan


Mime
View raw message